cgGLSetDebugMode(3)

NAME
cgGLSetDebugMode - control whether the cgGL runtime calls glGetError

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLSetDebugMode( CGbool debug );

PARAMETERS

debug
    Flag indicating whether the library should use OpenGL error checking.

RETURN VALUES
None.

DESCRIPTION
The OpenGL Cg runtime calls glGetError at various points to verify that no errors have occurred. While this is helpful during development, the resulting performance penalty may be deemed too severe. cgGLSetDebugMode allows the application to turn off the OpenGL error checking if so desired.

EXAMPLES
  cgGLSetDebugMode( CG_TRUE );  // Enables debug mode
  cgGLSetDebugMode( CG_FALSE ); // Disables debug mode

ERRORS
None.

HISTORY
cgGLSetDebugMode was introduced in Cg 1.5.

SEE ALSO
cgSetErrorHandler, cgGetError